Subject: linux-next: manual merge of the drm-misc tree with the drm tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 11 Jun 2019 13:52:02 +1000

Hi all,

Today's linux-next merge of the drm-misc tree got a conflict in:

  drivers/gpu/drm/amd/display/dc/dce/dce_clk_mgr.c

between commit:

  9b93eb475aa9 ("drm/amd/display: move clk_mgr files to right place")

from the drm tree and commit:

  4fc4dca8320e ("drm/amd: drop use of drmp.h in os_types.h")

from the drm-misc tree.

I fixed it up (I deleted the file and added the following patch) and
can carry the fix as necessary. This is now fixed as far as linux-next
is concerned, but any non trivial conflicts should be mentioned to your
upstream maintainer when your tree is submitted for merging.  You may
also want to consider cooperating with the maintainer of the conflicting
tree to minimise any particularly complex conflicts.

I am not sure if this is actually needed but it seemed prudent with the
addition of the kzalloc/kfree calls in this file.

From: Stephen Rothwell <[email-masked]>
Date: Tue, 11 Jun 2019 13:48:08 +1000
Subject: [PATCH] drm/amd/display: merge fix for "drm/amd: drop use of drmp.h in os_types.h"

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 drivers/gpu/drm/amd/display/dc/clk_mgr/clk_mgr.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/drivers/gpu/drm/amd/display/dc/clk_mgr/clk_mgr.c b/drivers/gpu/drm/amd/display/dc/clk_mgr/clk_mgr.c
index eb2204d42337..cb3f6a74d9e3 100644
--- a/drivers/gpu/drm/amd/display/dc/clk_mgr/clk_mgr.c
+++ b/drivers/gpu/drm/amd/display/dc/clk_mgr/clk_mgr.c
@@ -23,6 +23,8 @@
  *
  */
 
+#include <linux/slab.h>
+
 #include "dal_asic_id.h"
 #include "dc_types.h"
 #include "dccg.h"
-- 
2.20.1

-- 
Cheers,
Stephen Rothwell